fitur_login/urls.py
from django.conf.urls import url
from .views import masuk_login,index
from .custom_auth import auth_login, auth_logout
#url for app
urlpatterns = [
    url(r'^$', masuk_login, name='masuk_login'),
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^index', index, name='index'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
]

ppwdihati/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import fitur_profile.urls as profile
import fitur_login.urls as login
import fitur_status.urls as status
import fitur_riwayat.urls as riwayat
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^profile/', include(profile,namespace='profile')),
    url(r'^$', RedirectView.as_view(url='login',permanent=True),name = 'root'),
    url(r'^login/', include(login, namespace='login')),
    url(r'^status/', include(status, namespace='status')),
    url(r'^riwayat/', include(riwayat, namespace='riwayat')),
    url(r'^search/', include('cariMahasiswa.urls', namespace='search')),
]

fitur_login/models.py
from django.db import models

fitur_login/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.http import HttpResponseRedirect, HttpResponse
from django.urls import reverse
response = {}

def index(request):
    if 'user_login' in request.session.keys():
        set_data_for_session(request)
        username = request.session['user_login']
        return HttpResponseRedirect(reverse('profile:index'))
    else:
        html = 'fitur_login/SSO UI.html'
        return render(request, html, response)
def masuk_login(request):
    html = 'fitur_login/awal.html'
    return render(request, html, response)

def set_data_for_session(request):
    response['author'] = get_data_user(request, 'user_login')
    response['kode_identitas'] = request.session['kode_identitas']
    response['role'] = request.session['role']

def get_data_user(request, tipe):
    data = None
    if tipe == "user_login" and 'user_login' in request.session:
        data = request.session['user_login']
    elif tipe == "kode_identitas" and 'kode_identitas' in request.session:
        data = request.session['kode_identitas']

    return data

   # if 'user_login' in request.session:
        #response['login'] = True
      #  return HttpResponseRedirect(reverse('login:das'))
    #else:
        #response['login'] = False
        #response['author'] = get_data_user(request, 'user_login')
#    html = 'fitur_login/login.html'
 #   return render(request, html, response)

fitur_login/templates/fitur_login/SSO UI.html
{% load staticfiles %}
{% load static %}

<!DOCTYPE html>
<!-- saved from url=(0030)https://sso.ui.ac.id/cas/login -->
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta content="width=device-width, initial-scale=1" name="viewport">

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>SSO UI</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/sso.css' %}">
<link rel="icon" href="https://sso.ui.ac.id/cas/themes/ui/logo2_0.gif;jsessionid=8747D54A266152A97A88B381CE31BB4F" type="image/x-icon">
</head>
<body>
        <div class="container">
                <div class="main">



<div class="bg"></div>
<div class="login-box">
        <form id="fm1" class="login" action="{% url 'login:auth_login' %}" method="POST">
         {% csrf_token %}
                <div class="top">
                        <div class="pull-right"><img src="{% static 'css/logo.png' %>"></div>
                        <h1>SSO</h1>
                        <div class="sub">Single Sign On</div>
                </div>
                
                
                <div class="middle">
                        <p>Masukkan username dan password UI Anda/<br><em>Enter your username and password</em>:</p>
                        
                                <div class="form-group">
                                        
                                                
                                                
                                                        <input id="username" name="username" class="form-control" placeholder="Username" type="text" value="" autocomplete="false">
                                                
                                        
                                        
                                </div>
                        
                        
                                <div class="form-group">
                                        <input id="password" name="password" class="form-control" placeholder="Password" type="password" value="" autocomplete="off">
                                        
                                </div>
                        
                </div>
                <input type="hidden" name="lt" value="LT-227-P0NVliJlES5PCaiLNcLg6qDT55Nl6B">
                <input type="hidden" name="execution" value="e1s1">
                <input type="hidden" name="_eventId" value="submit">
                <div class="bottom clearfix">
                        <div class="pull-right" style="margin-top:12px">
                                <button type="submit" class="btn btn-lg btn-primary">Login</button>
                        </div>
            <table>
              <tbody><tr>
<!--
                <td style="padding: 10px 10px 10px 10px;">
                        <div class="help"><a href="#">Lupa password<br /><em>Forget password</em></a></div>
                </td> 
-->
                <td style="padding: 0px 10px 10px 10px;">
                        <div class="help"><a href="https://sso.ui.ac.id/account/user/register">Daftar Akun<br><em>Guest Account</em></a></div>
                </td>
                <td style="border-left: solid #D5D5D5; ">
                </td>
                <td style="padding: 0px 0px 10px 10px;">
                        <div class="help"><a href="https://sso.ui.ac.id/account/static/frequently-asked-question-faq">Butuh Bantuan ?<br><em>Need Help ?</em></a></div>
                </td>
              </tr>
            </tbody></table>
                </div>
        </form>
</div>

<script type="text/javascript">
function hasError(input) {
        if (input && /has-error/.test(input.parentElement.className)) return input;
}
function isEmpty(input) {
        if (input && input.value == "") return input;
}
var u = document.getElementById("username");
var p = document.getElementById("password");
var candidates = [hasError(u), hasError(p), isEmpty(u), isEmpty(p), u];
for (var i = 0; i < candidates.length; ++i) {
        if (candidates[i]) {
                candidates[i].focus();
                break;
        }
}
</script>





</div></div></body></html>

fitur_login/templates/fitur_login/awal.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <link href='https://fonts.googleapis.com/css?family=Concert+One' rel='stylesheet' type='text/css'>
  <style>
    body {
        background: #F1F2B5 no-repeat center center fixed;  /* fallback for old browsers */
        background: -webkit-linear-gradient(to bottom, #135058, #F1F2B5) no-repeat center center fixed;  /* Chrome 10-25, Safari 5.1-6 */
        background: linear-gradient(to bottom, #135058, #F1F2B5) no-repeat center center fixed; /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
        font-family: Roboto;
    }
     #button2:hover {
        box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
     }
     .wrapper{
        text-align: center;
        margin : 20px;
     }
     .long-shadow {
        display: inline-block;
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        box-sizing: content-box;
        padding: 25px;
        border: none;
        font: normal 70px/1 "Concert One", Helvetica, sans-serif;
        color: rgba(255,255,255,1);
        text-align: center;
        -o-text-overflow: clip;
        text-overflow: clip;
        text-shadow: 3px 3px 0 #0199d9 , 4px 4px 0 #0199d9 , 5px 5px 0 #0199d9 , 6px 6px 0 #0199d9 , 7px 7px 0 #0199d9 , 8px 8px 0 #0199d9 , 9px 9px 0 #0199d9 , 10px 10px 0 #0199d9 , 11px 11px 0 #0199d9 , 12px 12px 0 #0199d9 , 13px 13px 0 #0199d9 , 14px 14px 0 #0199d9 , 15px 15px 0 #0199d9 , 16px 16px 0 #0199d9 , 17px 17px 0 #0199d9 , 18px 18px 0 #0199d9 , 19px 19px 0 #0199d9 , 20px 20px 0 #0199d9 ;
}
    </style>
    <title>
        {% block title %} PPW DI HATI {% endblock %}
    </title>
</head>
<body>

<div class="wrapper"> 
    <div class="long-shadow"> SIAPA KAMU? </div>
    <h1> Tak Kenal maka Tak sayang </h1>
  <a href="{% url 'login:index' %}" type="button" class="btn btn-info" id="button2" >Login Mahasiswa</a>

</div>

</body>
</html>